require 'test_helper'

class MetricsbotTest < Test::Unit::TestCase

  def test_invalid_api_access_token
    assert_raise ArgumentError, "INVALID API KEY" do
      Metricsbot.api_access_token = "xxx"
      Metricsbot.domain("google.com")
    end
  end

  def test_missing_api_access_token
    assert_raise ArgumentError, "MISSING API KEY" do
      Metricsbot.domain("google.com")
    end
  end

  def test_valid_api_access_token
    puts "METRICSBOT_ACCESS_TOKEN=<your_api_access_token> required to run this test" unless ENV["METRICSBOT_ACCESS_TOKEN"]

    assert_nothing_raised do
      Metricsbot.api_access_token = ENV["METRICSBOT_ACCESS_TOKEN"]
      Metricsbot.domain("google.com")
    end
  end

  def test_geolocation
    puts "METRICSBOT_ACCESS_TOKEN=<your_api_access_token> required to run this test" unless ENV["METRICSBOT_ACCESS_TOKEN"]

    Metricsbot.api_access_token = ENV['METRICSBOT_ACCESS_TOKEN']
    response = Metricsbot.domain('google.com')

    assert_equal '200', response['meta']['code']
  end

end
